Get team member details
curl --request GET \
--url https://{your-subdomain}.neetokb.com/api/external/v2/team-members/{team_member_id} \
--header 'Accept: <accept>' \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://{your-subdomain}.neetokb.com/api/external/v2/team-members/{team_member_id}"
headers = {
"X-Api-Key": "<x-api-key>",
"Accept": "<accept>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>', Accept: '<accept>'}};
fetch('https://{your-subdomain}.neetokb.com/api/external/v2/team-members/{team_member_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"team_member": {
"id": "aaaabbbb-cccc-dddd-eeee-ffff00001111",
"email": "oliver@example.com",
"first_name": "Oliver",
"last_name": "Smith",
"time_zone": "Asia/Kolkata",
"profile_image_url": null,
"active": true,
"organization_role": "Admin"
}
}Team Members
Get team member details
Retrieves details of a specific team member.
GET
/
team-members
/
{team_member_id}
Get team member details
Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Specifies the expected response format. Must be set to application/json for proper API communication.
Available options:
application/json Path Parameters
ID of the team member. You can get this by listing all team members using the List team members API.
Example:
"aaaabbbb-cccc-dddd-eeee-ffff00001111"
Response
200 - application/json
OK - Request succeeded
Hide child attributes
Hide child attributes
Example:
"aaaabbbb-cccc-dddd-eeee-ffff00001111"
Example:
"oliver@example.com"
Example:
"Oliver"
Example:
"Smith"
Example:
"Asia/Kolkata"
Example:
null
Example:
true
Example:
"Admin"
⌘I